Subject: bug#12107: 24.1.50; In Info mode, add the name of the manual as completion candidate for "bookmark-set"

From: Dani Moncayo <[email-masked]>
Date: Wed, 1 Aug 2012 11:16:04 +0200

>> 2. Additionally, I'd like to have another (different) completion
>> candidate, consisting of the name of the manual alone (e.g. "emacs"),
>> for the reason explained above.
>
> Multiple values for bookmark names are not supported
> by `bookmark-make-record'.  But fortunately, with
> complete node names like "(emacs) Mark" you can delete
> part of the name that you don't need (e.g. "Mark").
> Deleting part of the name is always easier
> than typing a missing part.

Mmmm, I'm not sure what you mean by "multiples values for bookmark names".

The emacs manual says this in "(emacs) Minibuffer History":

     If you type `M-n' in the minibuffer when there are no later entries
  in the minibuffer history (e.g., if you haven't previously typed
  `M-p'), Emacs tries fetching from a list of default arguments: values
  that you are likely to enter.  You can think of this as moving through
  the "future history" list.

So, what I am requesting is just a new entry in that list of default
arguments.  In the case at hand, that list currently has only one
entry: the name of the node.  I'm missing a second entry (accessible
by typing a second M-n) with just the name of the manual.  As I said,
in some cases this second entry may be the name that the user is
looking for.

-- 
Dani Moncayo